using Knoks.Core.Entities;
using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Threading.Tasks;

namespace Knoks.Core.Logic.Interfaces
{
    public interface IImageManager
    {
        Task<string> SaveKnokImage(long userId, long knokId, string fileName, Stream srcFileStream);
        FileStream LoadKnokImage(long userId, long knokId, string fileName, out DateTimeOffset modified);
        byte[] LoadKnokImageBytes(long userId, long knokId, string fileName);
    }
    public interface IUserImageManager { 

        Task SaveAvatar(long userId, Stream srcFileStream);
        FileStream LoadAvatar(long userId, out DateTimeOffset modified);
    }
}
